|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QGraphicsSceneMoveEvent Class Reference
[QtGui module]

The QGraphicsSceneMoveEvent class provides events for widget moving in the graphics view framework. More...

     #include <QGraphicsSceneMoveEvent>

Inherits QGraphicsSceneEvent.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Public Functions

- QGraphicsSceneMoveEvent ()
- ~QGraphicsSceneMoveEvent ()
- QPointF newPos () const
- QPointF oldPos () const

- 1 public function inherited from QGraphicsSceneEvent
- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QGraphicsSceneMoveEvent class provides events for widget moving in the graphics view framework.

A QGraphicsWidget sends itself a QGraphicsSceneMoveEvent immediately when its local position changes. The delivery is implemented as part of QGraphicsItem::itemChange().

It's similar to QMoveEvent, but its positions, oldPos() and newPos(), use QPointF instead of QPoint.

See also QGraphicsItem::setPos(), QGraphicsItem::ItemPositionChange, and QGraphicsItem::ItemPositionHasChanged.

## Member Function Documentation

### QGraphicsSceneMoveEvent::QGraphicsSceneMoveEvent ()

Constructs a QGraphicsSceneMoveEvent.

### QGraphicsSceneMoveEvent::~QGraphicsSceneMoveEvent ()

Destroys the QGraphicsSceneMoveEvent.

### QPointF QGraphicsSceneMoveEvent::newPos () const

Returns the new position (i.e., the current position).

See also oldPos() and QGraphicsItem::setPos().

### QPointF QGraphicsSceneMoveEvent::oldPos () const

Returns the old position (i.e., the position immediatly before the widget was moved).

See also newPos() and QGraphicsItem::setPos().